      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCNOV                                     **
      **                                                              **
      **  DESCRIPTION:    MQCNO Structure -- Connect Options          **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCNO,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  01/02/24 12:17                                **
      ** Build Level:   p935-L240201                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQCNOV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCNO structure
       10  MQCNO.
      ** Structure identifier
       15  MQCNO-STRUCID PIC X(4) VALUE 'CNO '.
      ** Structure version number
       15  MQCNO-VERSION PIC S9(9) BINARY VALUE 1.
      ** Options that control the action of MQCONNX
       15  MQCNO-OPTIONS PIC S9(9) BINARY VALUE 0.
      ** Ver:1 **
      ** Offset of MQCD structure for client connection
       15  MQCNO-CLIENTCONNOFFSET PIC S9(9) BINARY VALUE 0.
      ** Address of MQCD structure for client connection
       15  MQCNO-CLIENTCONNPTR POINTER VALUE NULL.
      ** Ver:2 **
      ** Queue-manager connection tag
       15  MQCNO-CONNTAG PIC X(128) VALUE LOW-VALUES.
      ** Ver:3 **
      ** Address of MQSCO structure for client connection
       15  MQCNO-SSLCONFIGPTR POINTER VALUE NULL.
      ** Offset of MQSCO structure for client connection
       15  MQCNO-SSLCONFIGOFFSET PIC S9(9) BINARY VALUE 0.
      ** Ver:4 **
      ** Unique Connection Identifier
       15  MQCNO-CONNECTIONID PIC X(24) VALUE LOW-VALUES.
      ** Offset of MQCSP structure
       15  MQCNO-SECURITYPARMSOFFSET PIC S9(9) BINARY VALUE 0.
      ** Address of MQCSP structure
       15  MQCNO-SECURITYPARMSPTR POINTER VALUE NULL.
      ** Ver:5 **
      ** Address of CCDT URL string
       15  MQCNO-CCDTURLPTR POINTER VALUE NULL.
      ** Offset of CCDT URL string
       15  MQCNO-CCDTURLOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of CCDT URL
       15  MQCNO-CCDTURLLENGTH PIC S9(9) BINARY VALUE 0.
      ** Reserved
       15  MQCNO-RESERVED PIC X(8) VALUE LOW-VALUES.
      ** Ver:6 **
      ** Application name
       15  MQCNO-APPLNAME PIC X(28) VALUE SPACES.
      ** Reserved
       15  MQCNO-RESERVED2 PIC X(4) VALUE LOW-VALUES.
      ** Ver:7 **
      ** Balance Parameter Pointer
       15  MQCNO-BALANCEPARMSPTR POINTER VALUE NULL.
      ** Balance Parameter Offset
       15  MQCNO-BALANCEPARMSOFFSET PIC S9(9) BINARY VALUE 0.
      ** Reserved
       15  MQCNO-RESERVED3 PIC X(4) VALUE LOW-VALUES.
      ** Ver:8 **


      ******************************************************************
      **  End of CMQCNOV                                              **
      ******************************************************************
